package com.gree.mall.manager.bean.admin;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class AdminCompanyPayConfigVO {

    @ZfireField(hide = true)
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业的微信配置id")
    private String companyWechatId;

//    @ApiModelProperty(value = "所属商户")
//    private String companyName;

    @ApiModelProperty(value = "电子商户名称")
    private String payMerchantName;

    @ApiModelProperty(value = "appid")
    private String appId;

    @ApiModelProperty(value = "子appid")
    private String subAppId;

    @ApiModelProperty(value = "商户号")
    private String mchId;

    @ApiModelProperty(value = "子商户号")
    private String subMchId;

    @ApiModelProperty(value = "Key")
    private String mchKey;

    @ApiModelProperty(value = "小程序appid")
    private String appletAppid;

    @ApiModelProperty(value = "小程序密钥")
    private String appletSecret;

    @ApiModelProperty(value = "支付说明")
    private String remark;

    @ApiModelProperty(value = "状态")
    private StatusEnum status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
